io.netty.handler.codec.mqtt

## Class MqttConnAckVariableHeader

- java.lang.Object
- - io.netty.handler.codec.mqtt.MqttConnAckVariableHeader

    public final class MqttConnAckVariableHeader
    extends Object

Variable header of `MqttConnectMessage`

### Constructor Summary

Constructors
Constructor and Description
`MqttConnAckVariableHeader(MqttConnectReturnCode connectReturnCode, boolean sessionPresent)`
`MqttConnAckVariableHeader(MqttConnectReturnCode connectReturnCode, boolean sessionPresent, MqttProperties properties)`

### Method Summary

All Methods Instance Methods Concrete Methods
`MqttConnectReturnCode` `connectReturnCode()`
`boolean` `isSessionPresent()`
`MqttProperties` `properties()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MqttConnAckVariableHeader

    public MqttConnAckVariableHeader(MqttConnectReturnCode connectReturnCode,
                                     boolean sessionPresent)

#### MqttConnAckVariableHeader

    public MqttConnAckVariableHeader(MqttConnectReturnCode connectReturnCode,
                                     boolean sessionPresent,
                                     MqttProperties properties)

### Method Detail

#### connectReturnCode

    public MqttConnectReturnCode connectReturnCode()

#### isSessionPresent

    public boolean isSessionPresent()

#### properties

    public MqttProperties properties()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`